Bug 805914 - [ovirt] [RFE] live guest XML injection [change VM params on the fly]
[ovirt] [RFE] live guest XML injection [change VM params on the fly]
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-api (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 08:53 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 05:43:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-22 08:53:44 EDT
Description of problem:

I would like to propose the following RFE:

live guest XML injection allowing admin to change custom params such as Console (spice\VNC) on the fly. 

This is important so admin won't have to kill the VM. 

probability: 

- This feature is supported on libvirt\qemu 

so, we just need to wrap it up.
Comment 1 Itamar Heim 2012-05-30 09:55:10 EDT
we'd need to model this per specific action (like hotplug disk, nic, etc.)
the example above is to "hot change display type"?
please change bug summary accordingly, and open specific bugs on other use cases.

(allowing to pass through xml to libvirt will invalidate logic in the engine)
Comment 2 Itamar Heim 2012-12-12 05:43:11 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.